Package ru.bitel.bgbilling.modules.megogo.common.bean

# Class MegogoContractTryAndBuy

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megogo.common.bean.MegogoContractTryAndBuy

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class MegogoContractTryAndBuy
    extends IdTitle

Период Try&Buy договора.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MegogoContractTryAndBuy()` |
  `MegogoContractTryAndBuy​(int contractId, int idTB, int idSub, Period period, int userId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `int` | `getIdSub()` |
  `int` | `getIdTB()` |
  `Period` | `getPeriod()` |
  `int` | `getUserId()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setIdSub​(int idSub)` |
  `void` | `setIdTB​(int idTB)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setUserId​(int userId)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MegogoContractTryAndBuy

    public MegogoContractTryAndBuy()

  - ### MegogoContractTryAndBuy

    public MegogoContractTryAndBuy​(int contractId, int idTB, int idSub, Period period, int userId)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getIdTB

    public int getIdTB()

  - ### setIdTB

    public void setIdTB​(int idTB)

  - ### getIdSub

    public int getIdSub()

  - ### setIdSub

    public void setIdSub​(int idSub)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)